# Nuxt

This guide shows you how to integrate Mailtrap with Nuxt and send emails using the Email API.

Before we start, you'll need to:

* [Verify your sending domain](/email-api-smtp/setup/sending-domain.md)
* [Create and save an API key](/email-api-smtp/setup/api-tokens.md)

## Send emails using Nuxt and Mailtrap

To integrate Mailtrap and send emails via Nuxt, simply copy/paste the following script into your configuration:

{% code title="Nuxt event handler" %}

```javascript
import { MailtrapClient } from "mailtrap";

const mailtrap = new MailtrapClient({ token: 'YOUR-MAILTRAP-API-KEY-HERE' });

export default defineEventHandler(async () => {
  try {
    const response = await mailtrap.send({
      from: { name: 'Mailtrap Test', email: 'YOUR-EMAIL-HERE' },
      to: [{ email: 'RECIPIENT-EMAIL-HERE' }],
      subject: 'Hello World',
      html: '<strong>it works!</strong>',
    });

    console.log(response);

    return response;
  } catch (error) {
    throw createError({
      statusCode: 400,
      statusMessage: error instanceof Error ? error.message : 'Unknown error',
    });
  }
});
```

{% endcode %}

Once you copy the script, make sure to insert your Mailtrap API token in the `token:` field and enter your and your recipient's emails in the `from:` and `to:` fields.

{% hint style="info" %}
To learn more about API integration, [click here](/email-api-smtp/setup/api-integration.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mailtrap.io/guides/integrations/nuxt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
